Skip to content

Extract Session Pdf

POST
/org/sessions/{session_id}/extract
curl --request POST \
--url https://engine.bindly.insure/org/sessions/example/extract \
--header 'Content-Type: multipart/form-data' \
--form file=@file

Pre-fill the session from an existing document (prior ACORD, dec page, application), the REST twin of the MCP extract_from_pdf tool. Extracted values merge into the session so the intake only asks for the gaps.

session_id
required
Session Id
string
Media typemultipart/form-data
Body_extract_session_pdf_org_sessions__session_id__extract_post
object
file
required
File

The PDF to extract (max 20 MB).

string format: binary

Successful Response

Media typeapplication/json
ExtractSessionResponse
object
extracted_count
required
Extracted Count
integer
fields
required
Fields
object
key
additional properties
any
confidence
Any of:
number
notes
Notes
Array<string>
Examplegenerated
{
"extracted_count": 1,
"fields": {},
"confidence": 1,
"notes": [
"example"
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}